using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace MICRStreamCS
{
	/// <summary>
	/// Summary description for IDAutomationStreamingMICR.
	/// </summary>
	public class IDAutomationStreamingMICR : System.Web.UI.Page
	{
		protected IDAutomation.MICRServerControl.MICRServerControl MICRServerControl1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			//Put user code to initialize the page here

			//During the page load event we will set all parameters for the control			
			//Checking the Parameters using Params.Get is NOT case sensitive.  
			//However, when we use the Equals method of the string data type it IS case sensitive

			//Set the Data to Encode
			if(Request.Params.Get("Barcode") != "" && Request.Params.Get("Barcode") != null)
				MICRServerControl1.DataToEncode = Request.Params.Get("Barcode");        

			//set the left margin
			if(Request.Params.Get("Left_Margin") != "" && Request.Params.Get("Left_Margin") != null)
			{
				try
				{
					double LM_Value = Convert.ToDouble(Request.Params.Get("Left_Margin"));
					MICRServerControl1.LeftMargin = (float)LM_Value;
				}
				catch
				{
					MICRServerControl1.LeftMargin = 0.1F;
				}        
			}
			//set the top margin
			if(Request.Params.Get("Top_Margin") != "" && Request.Params.Get("Top_Margin") != null)
			{
				try
				{
					double TM_Value = Convert.ToDouble(Request.Params.Get("Top_Margin"));
					MICRServerControl1.TopMargin = (float)TM_Value;
				}
				catch
				{
					MICRServerControl1.TopMargin = 0.1F;
				}        
			}

			//Set the resolution of the returned image
			if(Request.Params.Get("IR") != "" && Request.Params.Get("IR") != null)
			{
				try
				{
					MICRServerControl1.ImageResolution = Convert.ToInt32(Request.Params.Get("IR"));
				}
				catch
				{
					System.Diagnostics.Debug.Write("Invalid entry for Image Resolution parameter");
				}        
			}

	        //Set the height of the characters
			if(Request.Params.Get("Char_Height") != "" && Request.Params.Get("Char_Height") != null)
			{
				try
				{
					Double CH_Value = Convert.ToDouble(Request.Params.Get("Char_Height"));
					MICRServerControl1.CharacterHeight = (float)CH_Value;
				}
				catch
				{
					MICRServerControl1.CharacterHeight = 1.0F;
				}
			}

			//Set the width of the characters
			if(Request.Params.Get("Char_Width") != "" && Request.Params.Get("Char_Width") != null)
			{
				try
				{
					Double CW_Value = Convert.ToDouble(Request.Params.Get("Char_Width"));
					MICRServerControl1.CharacterWidth = (float)CW_Value;
				}
				catch
				{
					MICRServerControl1.CharacterWidth = 1.0F;
				}
			}            

			//Set the space between each character
			if(Request.Params.Get("Char_Space") != "" && Request.Params.Get("Char_Space") != null)
			{
				try
				{
					Double CS_Value = Convert.ToDouble(Request.Params.Get("Char_Space"));
					MICRServerControl1.CharacterSpacing = (float)CS_Value;
				}
				catch
				{
					MICRServerControl1.CharacterSpacing = 1.0F;
				}
			}

			//Set the print intensity
			if(Request.Params.Get("PI") != "" && Request.Params.Get("PI") != null)
			{
				try
				{
					int PIValue = Convert.ToInt32(Request.Params.Get("PI"));
					switch(PIValue)
					{
						case 1:
							MICRServerControl1.PrintIntensity = IDAutomation.MICRServerControl.PrintCharacterIntensities.Maximum;
							break;
						case 2:
							MICRServerControl1.PrintIntensity = IDAutomation.MICRServerControl.PrintCharacterIntensities.Minumum;
							break;
						case 3:
							MICRServerControl1.PrintIntensity = IDAutomation.MICRServerControl.PrintCharacterIntensities.Nominal;
							break;
						default:
							MICRServerControl1.PrintIntensity = IDAutomation.MICRServerControl.PrintCharacterIntensities.Nominal;
							break;
					}
				}
				catch
				{
					System.Diagnostics.Debug.Write("Invalid entry for PDF Mode value");
				}
			}
        
			//set the rotation
			if(Request.Params.Get("Rotate") != "" && Request.Params.Get("Rotate") != null)
			{
				if(Request.Params.Get("Rotate").Equals("90"))
					MICRServerControl1.RotationAngle = IDAutomation.MICRServerControl.MICRServerControl.RotationAngles.Ninety_Degrees;
				else if(Request.Params.Get("Rotate").Equals("180"))
					MICRServerControl1.RotationAngle = IDAutomation.MICRServerControl.MICRServerControl.RotationAngles.One_Hundred_Eighty_Degrees;
				else if(Request.Params.Get("Rotate").Equals("270"))
					MICRServerControl1.RotationAngle = IDAutomation.MICRServerControl.MICRServerControl.RotationAngles.Two_Hundred_Seventy_Degrees;
				else
					MICRServerControl1.RotationAngle = IDAutomation.MICRServerControl.MICRServerControl.RotationAngles.Zero_Degrees;
			}   
        

			//The following is an example for changing the font and colors of the image.
			//MICRServerControl1.ForeColor = System.Drawing.Color.Yellow;
			//MICRServerControl1.BackColor = System.Drawing.Color.Black;
			//MICRServerControl1.Font.Name = "Georgia";
			//MICRServerControl1.Font.Size = New FontUnit(16);

			MICRServerControl1.GetBitmapImageForBinaryStream().Save(Response.OutputStream, System.Drawing.Imaging.ImageFormat.Jpeg);
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
